using System;

namespace ConsoleApp3
{
    class Program
    {
        static void Main(string[] args)
        {
            int max=0,br;
            string[] svi = Console.ReadLine().Split();
            string broj;
            for (int i = 0; i < 6; i++)
            {
                switch(i)
                {
                    case 0:
                        broj = svi[0] + svi[1] + svi[2];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                    case 1:
                        broj = svi[0] + svi[2] + svi[1];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                    case 2:
                        broj = svi[1] + svi[0] + svi[2];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                    case 3:
                        broj = svi[1] + svi[2] + svi[0];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                    case 4:
                        broj = svi[2] + svi[0] + svi[1];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                    case 5:
                        broj = svi[2] + svi[1] + svi[0];
                        br = int.Parse(broj);
                        if (max < br) max = br;
                        break;
                }
            }
            Console.WriteLine(max);
        }
    }
}